package lrs.visitor;

import lrs.*;



public class LRSClear implements IAlgo {



  public static LRSClear Singleton = new LRSClear();



  /** @SBGen Constructor   */

 private LRSClear()

 {

   }



  public Object emptyCase(LRStruct host, Object... param)

  {

    return null;

  }



  public Object nonEmptyCase(LRStruct host, Object... param)

  {

    host.setRest( new LRStruct());

    host.removeFront();

    return null;

  }

}